<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Symulator ruchu drogowego: Direction.Direction Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Symulator ruchu drogowego
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>Direction</b></li><li class="navelem"><a class="el" href="classDirection_1_1Direction.html">Direction</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="classDirection_1_1Direction-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">Direction.Direction Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Direction.Direction:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classDirection_1_1Direction.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-attribs" name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a210e306edec2feff99306da6f201f221"><td class="memItemLeft" align="right" valign="top"><a id="a210e306edec2feff99306da6f201f221" name="a210e306edec2feff99306da6f201f221"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>up</b> = 8</td></tr>
<tr class="memdesc:a210e306edec2feff99306da6f201f221"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classDirection_1_1Direction.html">Direction</a> UP. <br /></td></tr>
<tr class="separator:a210e306edec2feff99306da6f201f221"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a11e491ece472eb70fac732cadf61fb"><td class="memItemLeft" align="right" valign="top"><a id="a6a11e491ece472eb70fac732cadf61fb" name="a6a11e491ece472eb70fac732cadf61fb"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>down</b> = 2</td></tr>
<tr class="memdesc:a6a11e491ece472eb70fac732cadf61fb"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classDirection_1_1Direction.html">Direction</a> DOWN. <br /></td></tr>
<tr class="separator:a6a11e491ece472eb70fac732cadf61fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6718fd69ce1c1375c97f540166f28814"><td class="memItemLeft" align="right" valign="top"><a id="a6718fd69ce1c1375c97f540166f28814" name="a6718fd69ce1c1375c97f540166f28814"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>right</b> = 6</td></tr>
<tr class="memdesc:a6718fd69ce1c1375c97f540166f28814"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classDirection_1_1Direction.html">Direction</a> RIGHT. <br /></td></tr>
<tr class="separator:a6718fd69ce1c1375c97f540166f28814"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a835bd87aa59f21d611652f6b7d7d162c"><td class="memItemLeft" align="right" valign="top"><a id="a835bd87aa59f21d611652f6b7d7d162c" name="a835bd87aa59f21d611652f6b7d7d162c"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>left</b> = 4</td></tr>
<tr class="memdesc:a835bd87aa59f21d611652f6b7d7d162c"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classDirection_1_1Direction.html">Direction</a> LEFT. <br /></td></tr>
<tr class="separator:a835bd87aa59f21d611652f6b7d7d162c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7273f71eb85eacb2473ddfb747552ac4"><td class="memItemLeft" align="right" valign="top"><a id="a7273f71eb85eacb2473ddfb747552ac4" name="a7273f71eb85eacb2473ddfb747552ac4"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>none</b> = 255</td></tr>
<tr class="memdesc:a7273f71eb85eacb2473ddfb747552ac4"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classDirection_1_1Direction.html">Direction</a> NONE. <br /></td></tr>
<tr class="separator:a7273f71eb85eacb2473ddfb747552ac4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Enum class of possible direction's.
up, down, right, left or none (undefined)
</pre> </div><hr/>The documentation for this class was generated from the following file:<ul>
<li>eng/Direction.py</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
